Packaging - Bug #33580

Hostname change script should suggest new --puppet-server-foreman-url
09/28/2021 10:56 PM - William Clark

Status: Closed
Priority: Normal
Assignee: William Clark
Category: RPMs
Target version:
Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: 1995119 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/7140
Description

When changing the hostname on Katello server, external content proxies need to have certain answers updated to reflect the new
hostname. Presently, the suggested command omits the “puppet::server_foreman_url" parameter, which would therefore not get
updated if the user uses the suggested command for the content proxy.

Associated revisions

Revision 1b85c11d - 09/30/2021 08:29 PM - William Clark

Fixes #33580 - Suggest new --puppet-server-foreman-url with hostname change

History

#1 - 09/28/2021 11:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-packaging/pull/7140 added

#2 - 09/30/2021 08:29 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#3 - 09/30/2021 09:01 PM - William Clark
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|1b85c11d4d80cbe382093f9f9609e6a0bd742f6¢.

#4 - 11/15/2021 04:45 PM - Amit Upadhye

- Category set to RPMs
